Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000647Core InformUnderstandingpublic2011-04-25 17:382014-05-07 07:34
Assigned Tograham 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000647: can't use relations to values in an understand token
DescriptionTrying to use a "[something related by]" token in an understand phrase produced an internal error when the related thing was a value rather than a thing. The internal error is "can't objectloop over nonobject kind," so I'm guessing that the code isn't supposed to be valid.
Minimal Source Text To Reproduce
Temperature is a kind of value. The temperatures are hot and cold.

A thing has a temperature. 

Temperature Lab is a room. "The perfect place to HEAT or COOL things!"

The very mysterious substance is a cold thing, here. The description of the substance is "Very mysterious 
and [temperature]."

Possibilizing relates one thing to various temperatures. The verb to be possibly implies the possibilizing 
The substance is possibly hot. The substance is possibly cold.
Understand "[something related by possibilizing]" as a thing.
Additional InformationCompiling halts with the following error:

Problem. An internal error has occurred: can't objectloop over nonobject kind. The current sentence is 'Understand "[something related by possibilizing]" as a thing' ; the error was detected at line 514 of "Chapter 25/Grammar Tokens.w". This should never happen, and I am now halting in abject failure.

I don't know if the code ought to be considered valid -- it might be nice to be able to do this.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
EmacsUser (manager)
2011-04-26 08:51

Confirmed. With

- - - -
Understand "[a temperature related by possibilizing]" as a thing.
- - - -

instead, Inform emits a proper problem message.
mattweiner (reporter)
2011-04-26 16:32

That problem message seems to stem from something different, though. If you try

Understand "[a person related by owning]" as a thing.

you get the same problem message ("The grammar you give... contains a token which is just too complicated"). But

Understand "[something related by owning]" as a thing.

compiles fine.
graham (administrator)
2011-10-08 01:05

It would be nice to be able to do this, but understand tokens are only allowed to search relations between things, so it's actually not legal Inform source text. Inform was catching this with a problem message if the relation was one way round, but failing with an internal error the other way. It now produces a problem message either way.

- Issue History
Date Modified Username Field Change
2011-04-25 17:38 mattweiner New Issue
2011-04-25 23:20 jmcgrew Effect (mild) Inform 6 reports errors for invalid code => (critical) Compiler reports internal error
2011-04-25 23:20 jmcgrew Severity mild => critical
2011-04-25 23:20 jmcgrew Status new => acknowledged
2011-04-26 08:51 EmacsUser Note Added: 0001152
2011-04-26 08:51 EmacsUser Reproducibility have not tried => always
2011-04-26 08:51 EmacsUser Status acknowledged => confirmed
2011-04-26 16:32 mattweiner Note Added: 0001153
2011-10-08 01:05 graham Note Added: 0001329
2011-10-08 01:05 graham Status confirmed => resolved
2011-10-08 01:05 graham Resolution open => fixed
2011-10-08 01:05 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker